Bug 240438 - RHEL4.4 regression: Kernel panic on install on AMD 16 core systems
RHEL4.4 regression: Kernel panic on install on AMD 16 core systems
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
All Linux
medium Severity urgent
: rc
: ---
Assigned To: Bhavna Sarathy
Martin Jenner
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-17 11:48 EDT by Bhavna Sarathy
Modified: 2008-08-25 16:03 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-25 12:31:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bhavna Sarathy 2007-05-17 11:48:40 EDT
Description of problem:
RHEL4.4 GA crashes on install on 16 core systems.  So far this behavior has 
been confirmed on Rev F 8p/16c system and on Barcelona (GH) 4p/16c system.   
RHEL4.3 GA with an IDE drive installs and runs, so this is a regression.

Version-Release number of selected component (if applicable):
2.6.9-42.EL

How reproducible:
Everytime
Reproduced separately on two systems, Rev F 8p/16c and GH 4p/16c

Steps to Reproduce:
1. Copy boot.iso into a CD
2. boot: linux askmethod
  
Actual results:
Kernel panic occurs with this backtrace
APIC_init_uniprocessor()
acpi_ds_init_one_object()
setup_local_APIC()

Expected results:
Install and run without incident

Additional info:
There was a RHEL4.4 version that worked on Rev F 16 core system at the time of
RHEL4.4 development.  This was verified on Lion 16 core system by AMD.
Comment 1 Prarit Bhargava 2007-07-23 20:17:45 EDT
Bhavana, do you have a backtrace?

P.
Comment 2 Bhavna Sarathy 2007-07-24 09:03:27 EDT
Prarit, no I don't have a back trace.   Are you planning on investigating the
crash?  I didn't think the missing patch was going to be added to RHL4.4.
Comment 3 Bhavna Sarathy 2007-08-30 15:44:43 EDT
The workaround is to install OS with 
boot: linux noapic nolaoic
On reboot you will find that noapic is added to the grub.conf, edit and remove
noapic and reboot.  

Please add this to the release notes in reference to Barcelona.
Comment 5 RHEL Product and Program Management 2008-08-25 12:31:21 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.